Package edu.fiu.jtlex

# Interface ITerm

All Superinterfaces:
  `IANode`

All Known Implementing Classes:
  `Term`

    public interface ITerm
    extends IANode

Author:
  arada002

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Interface | Description
  --- | --- | ---
  `static class` | `ITerm.NamedEntity` | An enum that represents the Standard CORENLP Named Entity Tag the term is associated with.
  `static class` | `ITerm.PartOfSpeech` | An enum that represents the Part of Speech Tag the term is associated with.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getBegin()` | Word’s first character position within text.
  `int` | `getElementId()` | Contains id of element (Can be verbs, nouns, clauses, sentences).
  `int` | `getEnd()` | Word’s last character position within text.
  `java.lang.String` | `getFrameSet()` | Composed of the lemma and the sense associated with it (Can check Wordnet).
  `int` | `getId()` | Each term has to be identified by a unique ID number.
  `java.lang.String` | `getLemma()` | Each head of the main term in the noun phrase.
  `ITerm.NamedEntity` | `getNamedEntity()` | Marks the Term as an Entity type.
  `java.lang.String` | `getNormalizedNER()` | Normalized text after annotated by NER.
  `java.lang.String` | `getText()` | Text being referred to by term.
  `int` | `getTid()` | Each timex has to be identified by a unique ID number.
  `java.lang.String` | `getTimexText()` | Each timex has text associated with it.
  `edu.fiu.jtlex.data.ITimex.TimexType` | `getTimexType()` | This value is not optional.

- ## Method Details

  - ### getId

    int getId()
    Each term has to be identified by a unique ID number. This value is not optional. Returns the id of the term.
    Specified by:
      `getId` in interface `IANode`
    Returns:
      id integer may not be negative

  - ### getLemma

    java.lang.String getLemma()
    Each head of the main term in the noun phrase. Returns the main term as a string.
    Returns:
      lemma string may not be null

  - ### getFrameSet

    java.lang.String getFrameSet()
    Composed of the lemma and the sense associated with it (Can check Wordnet). Returns the lemma and sense seperated by a '.'.
    Returns:
      frameSet string may not be null

  - ### getText

    java.lang.String getText()
    Text being referred to by term. Returns the text.
    Returns:
      text string may not be null

  - ### getBegin

    int getBegin()
    Word’s first character position within text. Returns the integer position of first character.
    Returns:
      begin integer may not be negative

  - ### getEnd

    int getEnd()
    Word’s last character position within text. Returns the integer position of last character.
    Returns:
      end integer may not be negative

  - ### getElementId

    int getElementId()
    Contains id of element (Can be verbs, nouns, clauses, sentences). Returns the id of element.
    Returns:
      elementId integer may not be negative

  - ### getTimexText

    java.lang.String getTimexText()
    Each timex has text associated with it. Returns the text tied to the timex.
    Returns:
      timexText string may not be null

  - ### getNamedEntity

    ITerm.NamedEntity getNamedEntity()
    Marks the Term as an Entity type. Returns the type to which the term belongs.
    Returns:
      NamedEntity enum may not be null.

  - ### getNormalizedNER

    java.lang.String getNormalizedNER()
    Normalized text after annotated by NER. Returns the NER annotated text.
    Returns:
      normalizedNER string may not be null

  - ### getTimexType

    edu.fiu.jtlex.data.ITimex.TimexType getTimexType()
    This value is not optional. Returns the timex type to which the object belongs.
    Returns:
      TimexType enum may not be null.

  - ### getTid

    int getTid()
    Each timex has to be identified by a unique ID number. This value is not optional. Returns the integer part of the timexId.
    Returns:
      timexId integer may not be negative